Subject: Re: [bug#54268] [PATCH 6/6] gnu: Add cl-clog

From: Aurora <[email-masked]>
Date: Wed, 09 Mar 2022 20:59:40 +0000

Maxime Devos <[email-masked]> writes:

> The variables 'commit' and 'revision' seem unused.  Can they be
> removed?

They could, I think that's an artifact of the package definition I used
as an example & forgot to remove. Sorry about that.

However I don't think I'll going ahead with packaging Clog right away
for now anyway. Noticing the jQuery vendoring was the start of the
troubles.

It has strong dependencies on Bootstrap (and so jQuery, despite not
using all that much directly by itself) & w3.css, which have significant
dependency chains to work through (a few hundred items). Currently it
vendors some of these dependencies and fetches some of those dynamically
online (it does use HTML integrity hashes but it's still not ideal).

It'll take some time to wrangle that.

Regards,
Aurora